Subject: RE: Last Call: Textual Conventions for Additional High Capacity D ata Types to Proposed Standard

From: Dan Romascanu <[email-masked]>
Date: Mon, 27 Mar 2000 15:06:33 +0200

Juergen,

I agree with your proposal. Thanks for the comment.

Regards,

Dan

> -----Original Message-----
> From:	Juergen Schoenwaelder [SMTP:[email-masked]]
> Sent:	Mon March 27 2000 12:20
> To:	[email-masked]
> Cc:	[email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject:	Re: Last Call: Textual Conventions for Additional High
> Capacity D ata Types to Proposed Standard
> 
> 
> >>>>> Dan Romascanu writes:
> 
> [...]
> 
> Dan> I suggest replacing this text by the following:
> 
> Dan> The following textual conventions are defined to support unsigned
> Dan> 64-bit data types for MIBs such as the HC-RMON MIB [HC-RMON].
> 
> Dan> The reason is that other MIB documents should feel free to use
> Dan> the Textual Conventions described by this document freely, until
> Dan> a permanent solution is standardized as part of some evolution of
> Dan> the SNMP SMI.
> 
> I think that MIB authors should think at least twice before using
> these TCs. There is text in the ID on the limitations and implications
> of using these TCs. The abstract actually says that these TCs may be
> deprecated in the future (when a long term solution is in place). So
> taking your comment into account, I suggest the following replacement
> text:
> 
> : The following textual conventions are defined to support unsigned
> : 64-bit data types for MIBs such as the HC-RMON MIB [HC-RMON]. The
> : textual conventions represent a limited short-term solution and 
> : may be deprecated as a long term solution is defined and deployed 
> : to replace it.
> 
> This is basically a repetition of the warning which is already in the
> TC definitions. But I think it is important so that people really
> think twice whether they want to use these TCs.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder      Technical University Braunschweig
> <[email-masked]>  Dept. Operating Systems & Computer Networks
> Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
> Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>
> 
>